Bug 1638983 - openvdb FTBFS
Summary: openvdb FTBFS
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: openvdb
Version: rawhide
Hardware: All
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Simone Caronni
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-10-13 19:23 UTC by Jerry James
Modified: 2019-03-29 19:20 UTC (History)
2 users (show)

Fixed In Version: openvdb-6.0.0-1.fc30
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-03-29 19:20:27 UTC
Type: Bug


Attachments (Terms of Use)

Description Jerry James 2018-10-13 19:23:46 UTC
Description of problem:
I just attempted to rebuild openvdb against tbb 2019_U1.  I did not make any changes, simply bumped the release number.  The package failed to build:

https://koji.fedoraproject.org/koji/taskinfo?taskID=30205470

The error is:

/builddir/build/BUILD/openvdb-5.1.0/openvdb/unittest/TestFile.cc: In member function 'void TestFile::testBlosc()':
/builddir/build/BUILD/openvdb-5.1.0/openvdb/unittest/TestFile.cc:2555:54: error: invalid conversion from 'char**' to 'const char**' [-fpermissive]
         if (0 > blosc_compcode_to_compname(compcode, &compname)) continue;
                                                      ^~~~~~~~~

Version-Release number of selected component (if applicable):
openvdb-5.1.0-4.fc30

How reproducible:
Always

Steps to Reproduce:
1. Attempt a build in Rawhide
2.
3.

Actual results:


Expected results:


Additional info:

Comment 1 Fedora Update System 2019-03-25 05:13:10 UTC
embree-3.5.2-1.fc30 ispc-1.10.0-4.fc30 openvdb-6.0.0-1.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-6543fa31d9

Comment 2 Fedora Update System 2019-03-25 18:54:29 UTC
embree-3.5.2-1.fc30, ispc-1.10.0-4.fc30, openvdb-6.0.0-1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-6543fa31d9

Comment 3 Fedora Update System 2019-03-29 19:20:27 UTC
embree-3.5.2-1.fc30, ispc-1.10.0-4.fc30, openvdb-6.0.0-1.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.